Create a GitHub pull request that adds Edgenivo CI tags for the completed analysis
POST
/__remote/api.vercel.com/v1/vercel-ci/task-analyses/{analysisId}/pull-requestCreate task configuration pull request
/__remote/api.vercel.com/v1/vercel-ci/task-analyses/{analysisId}/pull-request
const response = await fetch('/__remote/api.vercel.com/v1/vercel-ci/task-analyses/analysisId/pull-request?teamId=string&slug=string', { method: 'POST', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ "tasks": [ { "name": "Example Name", "configPath": "string" } ] }),});
const data = await response.json();console.log(data);Response
{ "url": "https://example.com", "changedTaskNames": []}Errors
{ "error": { "code": "string", "message": "string" }}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request body is invalid.
One of the provided values in the request query is invalid.
404Error
409Error
410Error